Index: /code/branches/cpp11_v2/src/modules/overlays/hud/HUDNavigation.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/overlays/hud/HUDNavigation.cc	(revision 10764)
+++ /code/branches/cpp11_v2/src/modules/overlays/hud/HUDNavigation.cc	(revision 10765)
@@ -134,5 +134,5 @@
         for (std::map<RadarViewable*, ObjectInfo>::iterator it = this->activeObjectList_.begin(); it != this->activeObjectList_.end(); ++it)
         {
-            if (it->second.text_ != NULL)
+            if (it->second.text_ != nullptr)
                 it->second.text_->setFontName(this->fontName_);
         }
@@ -183,5 +183,5 @@
 
         Camera* cam = CameraManager::getInstance().getActiveCamera();
-        if (cam == NULL)
+        if (cam == nullptr)
         return;
         const Matrix4& camTransform = cam->getOgreCamera()->getProjectionMatrix() * cam->getOgreCamera()->getViewMatrix();
@@ -476,7 +476,7 @@
                     if(!it->second.selected_
                             || it->first->getRVVelocity().squaredLength() == 0
-                            || pawn == NULL
+                            || pawn == nullptr
                             /* TODO : improve getTeam in such a way that it works
-                             * || humanPawn == NULL
+                             * || humanPawn == nullptr
                              * || pawn->getTeam() == humanPawn->getTeam()*/)
                     {
@@ -534,13 +534,13 @@
         for (std::map<RadarViewable*, ObjectInfo>::iterator it = this->activeObjectList_.begin(); it != this->activeObjectList_.end(); ++it)
         {
-            if (it->second.health_ != NULL)
+            if (it->second.health_ != nullptr)
                 it->second.health_->setDimensions(this->healthMarkerSize_ * xScale, this->healthMarkerSize_ * yScale);
-            if (it->second.healthLevel_ != NULL)
+            if (it->second.healthLevel_ != nullptr)
                 it->second.healthLevel_->setDimensions(this->healthLevelMarkerSize_ * xScale, this->healthLevelMarkerSize_ * yScale);
-            if (it->second.panel_ != NULL)
+            if (it->second.panel_ != nullptr)
                 it->second.panel_->setDimensions(this->navMarkerSize_ * xScale, this->navMarkerSize_ * yScale);
-            if (it->second.text_ != NULL)
+            if (it->second.text_ != nullptr)
                 it->second.text_->setCharHeight(this->textSize_ * yScale);
-            if (it->second.target_ != NULL)
+            if (it->second.target_ != nullptr)
                 it->second.target_->setDimensions(this->aimMarkerSize_ * xScale, this->aimMarkerSize_ * yScale);
         }
@@ -553,5 +553,5 @@
 
         if (this->activeObjectList_.size() >= this->markerLimit_)
-        if (object == NULL)
+        if (object == nullptr)
         return;
 
Index: /code/branches/cpp11_v2/src/modules/pickup/CollectiblePickup.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/pickup/CollectiblePickup.cc	(revision 10764)
+++ /code/branches/cpp11_v2/src/modules/pickup/CollectiblePickup.cc	(revision 10765)
@@ -47,5 +47,5 @@
         Registers the object and initializes variables.
     */
-    CollectiblePickup::CollectiblePickup() : collection_(NULL)
+    CollectiblePickup::CollectiblePickup() : collection_(nullptr)
     {
         RegisterObject(CollectiblePickup);
@@ -103,5 +103,5 @@
     void CollectiblePickup::wasRemovedFromCollection(void)
     {
-        this->collection_ = NULL;
+        this->collection_ = nullptr;
     }
 }
Index: /code/branches/cpp11_v2/src/modules/pickup/CollectiblePickup.h
===================================================================
--- /code/branches/cpp11_v2/src/modules/pickup/CollectiblePickup.h	(revision 10764)
+++ /code/branches/cpp11_v2/src/modules/pickup/CollectiblePickup.h	(revision 10765)
@@ -69,5 +69,5 @@
             */
             bool isInCollection(void) const
-                { return this->collection_ != NULL; }
+                { return this->collection_ != nullptr; }
 
         private:
Index: /code/branches/cpp11_v2/src/modules/pickup/PickupCollection.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/pickup/PickupCollection.cc	(revision 10764)
+++ /code/branches/cpp11_v2/src/modules/pickup/PickupCollection.cc	(revision 10765)
@@ -148,6 +148,6 @@
         for(std::list<CollectiblePickup*>::iterator it = this->pickups_.begin(); it != this->pickups_.end(); ++it)
         {
-            if(this->getCarrier() == NULL)
-                (*it)->setCarrier(NULL);
+            if(this->getCarrier() == nullptr)
+                (*it)->setCarrier(nullptr);
             else
                 (*it)->setCarrier(this->getCarrier()->getTarget(*it));
@@ -227,5 +227,5 @@
     bool PickupCollection::addPickupable(CollectiblePickup* pickup)
     {
-        if(pickup == NULL)
+        if(pickup == nullptr)
             return false;
 
@@ -247,5 +247,5 @@
     {
         if(this->pickups_.size() >= index)
-            return NULL;
+            return nullptr;
 
         std::list<CollectiblePickup*>::const_iterator it = this->pickups_.begin();
Index: /code/branches/cpp11_v2/src/modules/pickup/PickupManager.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/pickup/PickupManager.cc	(revision 10764)
+++ /code/branches/cpp11_v2/src/modules/pickup/PickupManager.cc	(revision 10765)
@@ -68,5 +68,5 @@
         Constructor. Registers the PickupManager and creates the default PickupRepresentation.
     */
-    PickupManager::PickupManager() : guiLoaded_(false), pickupHighestIndex_(0), defaultRepresentation_(NULL)
+    PickupManager::PickupManager() : guiLoaded_(false), pickupHighestIndex_(0), defaultRepresentation_(nullptr)
     {
         RegisterObject(PickupManager);
@@ -85,5 +85,5 @@
     {
         // Destroying the default representation.
-        if(this->defaultRepresentation_ != NULL)
+        if(this->defaultRepresentation_ != nullptr)
             this->defaultRepresentation_->destroy();
 
@@ -184,16 +184,16 @@
         CollectiblePickup* collectible = orxonox_cast<CollectiblePickup*>(pickup);
         // If the Pickupable is part of a PickupCollection it isn't displayed in the PickupInventory, just the PickupCollection is.
-        if(collectible != NULL && collectible->isInCollection())
+        if(collectible != nullptr && collectible->isInCollection())
             return;
 
         // Getting clientId of the host this change of the pickup's used status concerns.
         PickupCarrier* carrier = pickup->getCarrier();
-        while(carrier->getCarrierParent() != NULL)
+        while(carrier->getCarrierParent() != nullptr)
             carrier = carrier->getCarrierParent();
         Pawn* pawn = orxonox_cast<Pawn*>(carrier);
-        if(pawn == NULL)
+        if(pawn == nullptr)
             return;
         PlayerInfo* info = pawn->getPlayer();
-        if(info == NULL)
+        if(info == nullptr)
             return;
         unsigned int clientId = info->getClientID();
@@ -265,16 +265,16 @@
         CollectiblePickup* collectible = orxonox_cast<CollectiblePickup*>(pickup);
         // If the Pickupable is part of a PickupCollection it isn't displayed in the PickupInventory, just the PickupCollection is.
-        if(collectible != NULL && collectible->isInCollection())
+        if(collectible != nullptr && collectible->isInCollection())
             return;
 
         // Getting clientId of the host this change of the pickup's pickedUp status concerns.
         PickupCarrier* carrier = pickup->getCarrier();
-        while(carrier->getCarrierParent() != NULL)
+        while(carrier->getCarrierParent() != nullptr)
             carrier = carrier->getCarrierParent();
         Pawn* pawn = orxonox_cast<Pawn*>(carrier);
-        if(pawn == NULL)
+        if(pawn == nullptr)
             return;
         PlayerInfo* info = pawn->getFormerPlayer();
-        if(info == NULL)
+        if(info == nullptr)
             return;
         unsigned int clientId = info->getClientID();
@@ -399,5 +399,5 @@
                 return;
             Pickupable* pickupable = this->pickups_.find(pickup)->second;
-            if(pickupable != NULL)
+            if(pickupable != nullptr)
                 pickupable->drop();
         }
@@ -442,5 +442,5 @@
                 return;
             Pickupable* pickupable = this->pickups_.find(pickup)->second;
-            if(pickupable != NULL)
+            if(pickupable != nullptr)
                 pickupable->setUsed(use);
         }
Index: /code/branches/cpp11_v2/src/modules/pickup/PickupRepresentation.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/pickup/PickupRepresentation.cc	(revision 10764)
+++ /code/branches/cpp11_v2/src/modules/pickup/PickupRepresentation.cc	(revision 10765)
@@ -52,5 +52,5 @@
         This is primarily for use of the PickupManager in creating a default PickupRepresentation.
     */
-    PickupRepresentation::PickupRepresentation() : BaseObject(NULL), Synchronisable(NULL), spawnerRepresentation_(NULL)
+    PickupRepresentation::PickupRepresentation() : BaseObject(nullptr), Synchronisable(nullptr), spawnerRepresentation_(nullptr)
     {
         RegisterObject(PickupRepresentation);
@@ -64,5 +64,5 @@
         Default Constructor. Registers the object and initializes its member variables.
     */
-    PickupRepresentation::PickupRepresentation(Context* context) : BaseObject(context), Synchronisable(context), spawnerRepresentation_(NULL)
+    PickupRepresentation::PickupRepresentation(Context* context) : BaseObject(context), Synchronisable(context), spawnerRepresentation_(nullptr)
     {
         RegisterObject(PickupRepresentation);
@@ -78,5 +78,5 @@
     PickupRepresentation::~PickupRepresentation()
     {
-        if(this->spawnerRepresentation_ != NULL)
+        if(this->spawnerRepresentation_ != nullptr)
             this->spawnerRepresentation_->destroy();
 
@@ -135,5 +135,5 @@
     StaticEntity* PickupRepresentation::createSpawnerRepresentation(PickupSpawner* spawner)
     {
-        if(this->spawnerRepresentation_ == NULL)
+        if(this->spawnerRepresentation_ == nullptr)
         {
             orxout(verbose, context::pickups) << "PickupRepresentation: No spawner representation found." << endl;
@@ -149,5 +149,5 @@
         this->spawnerRepresentation_->setVisible(true);
         StaticEntity* temp = this->spawnerRepresentation_;
-        this->spawnerRepresentation_ = NULL;
+        this->spawnerRepresentation_ = nullptr;
 
         return temp;
@@ -164,5 +164,5 @@
     {
         this->spawnerRepresentation_ = representation;
-        if(this->spawnerRepresentation_ != NULL)
+        if(this->spawnerRepresentation_ != nullptr)
             this->spawnerRepresentation_->setVisible(false);
     }
Index: /code/branches/cpp11_v2/src/modules/pickup/PickupRepresentation.h
===================================================================
--- /code/branches/cpp11_v2/src/modules/pickup/PickupRepresentation.h	(revision 10764)
+++ /code/branches/cpp11_v2/src/modules/pickup/PickupRepresentation.h	(revision 10765)
@@ -119,8 +119,8 @@
             @brief Get the StaticEntity that defines how the PickupSpawner of the Pickupable represented by this PickupRepresentation looks like.
             @param index The index.
-            @return Returns (for index = 0) a pointer to the StaticEntity. For index > 0 it returns NULL.
+            @return Returns (for index = 0) a pointer to the StaticEntity. For index > 0 it returns nullptr.
             */
             inline const StaticEntity* getSpawnerRepresentationIndex(unsigned int index) const
-                { if(index == 0) return this->spawnerRepresentation_; return NULL; }
+                { if(index == 0) return this->spawnerRepresentation_; return nullptr; }
             /**
             @brief Get the name of the image representing the pickup in the PickupInventory.
Index: /code/branches/cpp11_v2/src/modules/pickup/PickupSpawner.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/pickup/PickupSpawner.cc	(revision 10764)
+++ /code/branches/cpp11_v2/src/modules/pickup/PickupSpawner.cc	(revision 10765)
@@ -55,5 +55,5 @@
         Pointer to the object which created this item.
     */
-    PickupSpawner::PickupSpawner(Context* context) : StaticEntity(context), pickup_(NULL), representation_(NULL), pickupTemplate_(NULL)
+    PickupSpawner::PickupSpawner(Context* context) : StaticEntity(context), pickup_(nullptr), representation_(nullptr), pickupTemplate_(nullptr)
     {
         RegisterObject(PickupSpawner);
@@ -74,5 +74,5 @@
         this->selfDestruct_ = false;
 
-        this->setPickupable(NULL);
+        this->setPickupable(nullptr);
     }
 
@@ -83,5 +83,5 @@
     PickupSpawner::~PickupSpawner()
     {
-        if(this->isInitialized() && this->selfDestruct_ && this->pickup_ != NULL)
+        if(this->isInitialized() && this->selfDestruct_ && this->pickup_ != nullptr)
             this->pickup_->destroy();
     }
@@ -160,5 +160,5 @@
             for(ObjectList<Pawn>::iterator it = ObjectList<Pawn>::begin(); it != ObjectList<Pawn>::end(); ++it)
             {
-                if(spawner == NULL) // Stop if the PickupSpawner has been deleted (e.g. because it has run out of pickups to distribute).
+                if(spawner == nullptr) // Stop if the PickupSpawner has been deleted (e.g. because it has run out of pickups to distribute).
                     break;
 
@@ -166,5 +166,5 @@
                 PickupCarrier* carrier = static_cast<PickupCarrier*>(*it);
                 // If a PickupCarrier, that fits the target-range of the Pickupable spawned by this PickupSpawner, is in trigger-distance and the carrier is not blocked.
-                if(distance.length() < this->triggerDistance_ && carrier != NULL && this->blocked_.find(carrier) == this->blocked_.end())
+                if(distance.length() < this->triggerDistance_ && carrier != nullptr && this->blocked_.find(carrier) == this->blocked_.end())
                 {
                     if(carrier->isTarget(this->pickup_))
@@ -195,5 +195,5 @@
         pickedUp = false; // To avoid compiler warning.
 
-        this->setPickupable(NULL);
+        this->setPickupable(nullptr);
         this->decrementSpawnsRemaining();
     }
@@ -282,11 +282,11 @@
         {
             orxout(internal_error, context::pickups) << "Massive Error: PickupSpawner still alive until having spawned last item." << endl;
-            return NULL;
-        }
-
-        if (this->pickupTemplate_ != NULL)
+            return nullptr;
+        }
+
+        if (this->pickupTemplate_ != nullptr)
         {
             Identifier* identifier = this->pickupTemplate_->getBaseclassIdentifier();
-            if (identifier != NULL)
+            if (identifier != nullptr)
             {
                 Pickupable* pickup = orxonox_cast<Pickupable*>(identifier->fabricate(this->getContext()));
@@ -298,5 +298,5 @@
         }
 
-        return NULL;
+        return nullptr;
     }
 
@@ -309,13 +309,13 @@
     void PickupSpawner::setPickupable(Pickupable* pickup)
     {
-        if (this->representation_ != NULL)
+        if (this->representation_ != nullptr)
         {
             this->representation_->destroy();
-            this->representation_ = NULL;
-        }
-
-        if (pickup != NULL)
-        {
-            if (this->pickup_ != NULL)
+            this->representation_ = nullptr;
+        }
+
+        if (pickup != nullptr)
+        {
+            if (this->pickup_ != nullptr)
                 this->pickup_->destroy();
 
Index: /code/branches/cpp11_v2/src/modules/pickup/items/DamageBoostPickup.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/pickup/items/DamageBoostPickup.cc	(revision 10764)
+++ /code/branches/cpp11_v2/src/modules/pickup/items/DamageBoostPickup.cc	(revision 10765)
@@ -106,5 +106,5 @@
 
         SpaceShip* ship = this->carrierToSpaceShipHelper();
-        if(ship == NULL) // If the PickupCarrier is no SpaceShip, then this pickup is useless and therefore is destroyed.
+        if(ship == nullptr) // If the PickupCarrier is no SpaceShip, then this pickup is useless and therefore is destroyed.
             this->Pickupable::destroy();
 
@@ -152,5 +152,5 @@
         Helper to transform the PickupCarrier to a SpaceShip, and throw an error message if the conversion fails.
     @return
-        A pointer to the SpaceShip, or NULL if the conversion failed.
+        A pointer to the SpaceShip, or nullptr if the conversion failed.
     */
     SpaceShip* DamageBoostPickup::carrierToSpaceShipHelper(void)
@@ -159,5 +159,5 @@
         SpaceShip* ship = orxonox_cast<SpaceShip*>(carrier);
 
-        if(ship == NULL)
+        if(ship == nullptr)
         {
             orxout(internal_error, context::pickups) << "Invalid PickupCarrier in DamageBoostPickup." << endl;
Index: /code/branches/cpp11_v2/src/modules/pickup/items/DronePickup.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/pickup/items/DronePickup.cc	(revision 10764)
+++ /code/branches/cpp11_v2/src/modules/pickup/items/DronePickup.cc	(revision 10765)
@@ -122,5 +122,5 @@
 
                 Pawn* pawn = this->carrierToPawnHelper();
-                if(pawn == NULL) // If the PickupCarrier is no Pawn, then this pickup is useless and therefore is destroyed.
+                if(pawn == nullptr) // If the PickupCarrier is no Pawn, then this pickup is useless and therefore is destroyed.
                     this->Pickupable::destroy();
 
@@ -131,5 +131,5 @@
                 Controller* controller = drone->getController();
                 DroneController* droneController = orxonox_cast<DroneController*>(controller);
-                if(droneController != NULL)
+                if(droneController != nullptr)
                 {
                     droneController->setOwner(pawn);
@@ -156,5 +156,5 @@
         Helper to transform the PickupCarrier to a Pawn, and throw an error message if the conversion fails.
     @return
-        A pointer to the Pawn, or NULL if the conversion failed.
+        A pointer to the Pawn, or nullptr if the conversion failed.
     */
     Pawn* DronePickup::carrierToPawnHelper(void)
@@ -163,5 +163,5 @@
         Pawn* pawn = orxonox_cast<Pawn*>(carrier);
 
-        if(pawn == NULL)
+        if(pawn == nullptr)
         {
             orxout(internal_error, context::pickups) << "Invalid PickupCarrier in DronePickup." << endl;
Index: /code/branches/cpp11_v2/src/modules/pickup/items/HealthPickup.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/pickup/items/HealthPickup.cc	(revision 10764)
+++ /code/branches/cpp11_v2/src/modules/pickup/items/HealthPickup.cc	(revision 10765)
@@ -114,5 +114,5 @@
         {
             Pawn* pawn = this->carrierToPawnHelper();
-            if(pawn == NULL) // If the PickupCarrier is no Pawn, then this pickup is useless and therefore is destroyed.
+            if(pawn == nullptr) // If the PickupCarrier is no Pawn, then this pickup is useless and therefore is destroyed.
                 this->Pickupable::destroy();
 
@@ -168,5 +168,5 @@
             {
                 Pawn* pawn = this->carrierToPawnHelper();
-                if(pawn == NULL) // If the PickupCarrier is no Pawn, then this pickup is useless and therefore is destroyed.
+                if(pawn == nullptr) // If the PickupCarrier is no Pawn, then this pickup is useless and therefore is destroyed.
                     this->Pickupable::destroy();
 
@@ -206,5 +206,5 @@
                 Pawn* pawn = orxonox_cast<Pawn*>(carrier);
 
-                if(pawn == NULL)
+                if(pawn == nullptr)
                 {
                     orxout(internal_error, context::pickups) << "Something went horribly wrong in Health Pickup. PickupCarrier is '" << carrier->getIdentifier()->getName() << "' instead of Pawn." << endl;
@@ -233,5 +233,5 @@
         Helper to transform the PickupCarrier to a Pawn, and throw an error message if the conversion fails.
     @return
-        A pointer to the Pawn, or NULL if the conversion failed.
+        A pointer to the Pawn, or nullptr if the conversion failed.
     */
     Pawn* HealthPickup::carrierToPawnHelper(void)
@@ -240,5 +240,5 @@
         Pawn* pawn = orxonox_cast<Pawn*>(carrier);
 
-        if(pawn == NULL)
+        if(pawn == nullptr)
             orxout(internal_error, context::pickups) << "Invalid PickupCarrier in HealthPickup." << endl;
 
Index: /code/branches/cpp11_v2/src/modules/pickup/items/InvisiblePickup.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/pickup/items/InvisiblePickup.cc	(revision 10764)
+++ /code/branches/cpp11_v2/src/modules/pickup/items/InvisiblePickup.cc	(revision 10765)
@@ -139,5 +139,5 @@
     {
         Pawn* pawn = this->carrierToPawnHelper();
-        if(pawn == NULL)
+        if(pawn == nullptr)
             return false;
 
@@ -163,5 +163,5 @@
         Helper to transform the PickupCarrier to a Pawn, and throw an error message if the conversion fails.
     @return
-        A pointer to the Pawn, or NULL if the conversion failed.
+        A pointer to the Pawn, or nullptr if the conversion failed.
     */
     Pawn* InvisiblePickup::carrierToPawnHelper(void)
@@ -170,5 +170,5 @@
         Pawn* pawn = orxonox_cast<Pawn*>(carrier);
 
-        if(pawn == NULL)
+        if(pawn == nullptr)
         {
             orxout(internal_error, context::pickups) << "Invalid PickupCarrier in InvisiblePickup." << endl;
Index: /code/branches/cpp11_v2/src/modules/pickup/items/MetaPickup.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/pickup/items/MetaPickup.cc	(revision 10764)
+++ /code/branches/cpp11_v2/src/modules/pickup/items/MetaPickup.cc	(revision 10765)
@@ -107,5 +107,5 @@
         {
             PickupCarrier* carrier = this->getCarrier();
-            if(this->getMetaType() != pickupMetaType::none && carrier != NULL)
+            if(this->getMetaType() != pickupMetaType::none && carrier != nullptr)
             {
                 // If the metaType is destroyCarrier, then the PickupCarrier is destroyed.
@@ -121,5 +121,5 @@
                 {
                     Pickupable* pickup = (*it);
-                    if(pickup == NULL || pickup == this)
+                    if(pickup == nullptr || pickup == this)
                         continue;
 
Index: /code/branches/cpp11_v2/src/modules/pickup/items/ShieldPickup.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/pickup/items/ShieldPickup.cc	(revision 10764)
+++ /code/branches/cpp11_v2/src/modules/pickup/items/ShieldPickup.cc	(revision 10765)
@@ -99,5 +99,5 @@
 
         Pawn* pawn = this->carrierToPawnHelper();
-        if(pawn == NULL)
+        if(pawn == nullptr)
             this->Pickupable::destroy();
 
@@ -143,5 +143,5 @@
     Helper to transform the PickupCarrier to a Pawn, and throw an error message if the conversion fails.
     @return
-    A pointer to the Pawn, or NULL if the conversion failed.
+    A pointer to the Pawn, or nullptr if the conversion failed.
     */
     Pawn* ShieldPickup::carrierToPawnHelper(void)
@@ -150,5 +150,5 @@
         Pawn* pawn = orxonox_cast<Pawn*>(carrier);
 
-        if(pawn == NULL)
+        if(pawn == nullptr)
         {
             orxout(internal_error, context::pickups) << "Invalid PickupCarrier in ShieldPickup." << endl;
Index: /code/branches/cpp11_v2/src/modules/pickup/items/ShrinkPickup.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/pickup/items/ShrinkPickup.cc	(revision 10764)
+++ /code/branches/cpp11_v2/src/modules/pickup/items/ShrinkPickup.cc	(revision 10765)
@@ -146,5 +146,5 @@
         {
             Pawn* pawn = this->carrierToPawnHelper();
-            if(pawn == NULL) // If the PickupCarrier is no Pawn, then this pickup is useless and therefore is destroyed.
+            if(pawn == nullptr) // If the PickupCarrier is no Pawn, then this pickup is useless and therefore is destroyed.
             {
                 this->Pickupable::destroy();
@@ -173,5 +173,5 @@
                 //TODO: Deploy particle effect.
                 Pawn* pawn = this->carrierToPawnHelper();
-                if(pawn == NULL) // If the PickupCarrier is no Pawn, then this pickup is useless and therefore is destroyed.
+                if(pawn == nullptr) // If the PickupCarrier is no Pawn, then this pickup is useless and therefore is destroyed.
                     return;
 
@@ -187,5 +187,5 @@
                 {
                     CameraPosition* cameraPos = pawn->getCameraPosition(index);
-                    if(cameraPos == NULL)
+                    if(cameraPos == nullptr)
                         continue;
                     cameraPos->setPosition(cameraPos->getPosition()/factor);
@@ -201,5 +201,5 @@
                 //TODO: Deploy particle effect.
                 Pawn* pawn = this->carrierToPawnHelper();
-                if(pawn == NULL) // If the PickupCarrier is no Pawn, then this pickup is useless and therefore is destroyed.
+                if(pawn == nullptr) // If the PickupCarrier is no Pawn, then this pickup is useless and therefore is destroyed.
                     return;
 
@@ -213,5 +213,5 @@
                 {
                     CameraPosition* cameraPos = pawn->getCameraPosition(index);
-                    if(cameraPos == NULL)
+                    if(cameraPos == nullptr)
                         continue;
                     cameraPos->setPosition(cameraPos->getPosition()/this->shrinkFactor_);
@@ -237,5 +237,5 @@
             {
                 Pawn* pawn = this->carrierToPawnHelper();
-                if(pawn == NULL) // If the PickupCarrier is no Pawn, then this pickup is useless and therefore is destroyed.
+                if(pawn == nullptr) // If the PickupCarrier is no Pawn, then this pickup is useless and therefore is destroyed.
                 {
                     this->Pickupable::destroy();
@@ -268,5 +268,5 @@
                 {
                     CameraPosition* cameraPos = pawn->getCameraPosition(index);
-                    if(cameraPos == NULL)
+                    if(cameraPos == nullptr)
                         continue;
                     cameraPos->setPosition(cameraPos->getPosition()/factor);
@@ -277,5 +277,5 @@
             {
                 Pawn* pawn = this->carrierToPawnHelper();
-                if(pawn == NULL) // If the PickupCarrier is no Pawn, then this pickup is useless and therefore is destroyed.
+                if(pawn == nullptr) // If the PickupCarrier is no Pawn, then this pickup is useless and therefore is destroyed.
                     this->Pickupable::destroy();
 
@@ -309,5 +309,5 @@
                 {
                     CameraPosition* cameraPos = pawn->getCameraPosition(index);
-                    if(cameraPos == NULL)
+                    if(cameraPos == nullptr)
                         continue;
                     cameraPos->setPosition(cameraPos->getPosition()/factor);
Index: /code/branches/cpp11_v2/src/modules/pickup/items/SpeedPickup.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/pickup/items/SpeedPickup.cc	(revision 10764)
+++ /code/branches/cpp11_v2/src/modules/pickup/items/SpeedPickup.cc	(revision 10765)
@@ -99,5 +99,5 @@
 
         SpaceShip* ship = this->carrierToSpaceShipHelper();
-        if(ship == NULL) // If the PickupCarrier is no SpaceShip, then this pickup is useless and therefore is destroyed.
+        if(ship == nullptr) // If the PickupCarrier is no SpaceShip, then this pickup is useless and therefore is destroyed.
             this->Pickupable::destroy();
 
@@ -143,5 +143,5 @@
         Helper to transform the PickupCarrier to a SpaceShip, and throw an error message if the conversion fails.
     @return
-        A pointer to the SpaceShip, or NULL if the conversion failed.
+        A pointer to the SpaceShip, or nullptr if the conversion failed.
     */
     SpaceShip* SpeedPickup::carrierToSpaceShipHelper(void)
@@ -150,5 +150,5 @@
         SpaceShip* ship = orxonox_cast<SpaceShip*>(carrier);
 
-        if(ship == NULL)
+        if(ship == nullptr)
         {
             orxout(internal_error, context::pickups) << "Invalid PickupCarrier in SpeedPickup." << endl;
